Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.Excel2PDFConfig Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | Excel2PDFConfig ()
| Constructor. More...
def | Set (is_separate_workbook, is_output_hidden_worksheets, worksheet_names)
| Set value. More...

## Static Public Attributes
| is_output_hidden_worksheets = _fsdk.Excel2PDFConfig_is_output_hidden_worksheets
| A boolean value which indicates whether to output the hidden worksheets. More...
| is_separate_workbook = _fsdk.Excel2PDFConfig_is_separate_workbook
| A boolean value which indicates whether to export worksheets to separate PDF files. More...
| worksheet_names = _fsdk.Excel2PDFConfig_worksheet_names
| An array of specific worksheet names to be converted to PDF files. More...

## Detailed Description

This class represents setting data used for converting Excel format files to PDF format files.

## Constructor & Destructor Documentation

## ◆ Excel2PDFConfig()

def FoxitPDFSDKPython3.Excel2PDFConfig.Excel2PDFConfig | ( |  | ) |

Constructor.

Constructor, with parameters.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.Excel2PDFConfig.Set | ( |  | is_separate_workbook,
|  |  | is_output_hidden_worksheets,
|  |  | worksheet_names
| ) |  |

Set value.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

Returns
  None.

## Member Data Documentation

## ◆ is_output_hidden_worksheets

FoxitPDFSDKPython3.Excel2PDFConfig.is_output_hidden_worksheets = _fsdk.Excel2PDFConfig_is_output_hidden_worksheets
| static

A boolean value which indicates whether to output the hidden worksheets.

true means to output the hidden worksheets, while false means not.

## ◆ is_separate_workbook

FoxitPDFSDKPython3.Excel2PDFConfig.is_separate_workbook = _fsdk.Excel2PDFConfig_is_separate_workbook
| static

A boolean value which indicates whether to export worksheets to separate PDF files.

true means to export each worksheet to separate PDF files, while false means not.

## ◆ worksheet_names

FoxitPDFSDKPython3.Excel2PDFConfig.worksheet_names = _fsdk.Excel2PDFConfig_worksheet_names
| static

An array of specific worksheet names to be converted to PDF files.

If this array is empty, all worksheets will be converted to PDF files.